aboutsummaryrefslogtreecommitdiff
path: root/src/lm_sensors/fancontrol.rc
diff options
context:
space:
mode:
Diffstat (limited to 'src/lm_sensors/fancontrol.rc')
-rwxr-xr-xsrc/lm_sensors/fancontrol.rc35
1 files changed, 35 insertions, 0 deletions
diff --git a/src/lm_sensors/fancontrol.rc b/src/lm_sensors/fancontrol.rc
new file mode 100755
index 0000000..8e98d06
--- /dev/null
+++ b/src/lm_sensors/fancontrol.rc
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=$(pidof -o %PPID -x /usr/sbin/fancontrol)
+case "$1" in
+ start)
+ stat_busy "Starting fancontrol"
+ [ -z "$PID" ] && /usr/sbin/fancontrol -D &>/dev/null
+ if [ $? -gt 0 -o -n "$PID" ]; then
+ stat_fail
+ else
+ add_daemon fancontrol
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping fancontrol"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon fancontrol
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0